Bug 1582608 - [abrt] freerdp: rdpsnd_pulse_open(): xfreerdp killed by SIGABRT
Summary: [abrt] freerdp: rdpsnd_pulse_open(): xfreerdp killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:94852e061e950444897ebb9d577...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-25 18:09 UTC by jason.monroe
Modified: 2018-08-23 10:33 UTC (History)
5 users (show)

Fixed In Version: freerdp-2.0.0-44.rc3.fc27 freerdp-2.0.0-44.rc3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.58 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: cgroup (195 bytes, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: core_backtrace (21.28 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: cpuinfo (996 bytes, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: dso_list (5.15 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: environ (6.20 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: maps (25.61 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: mountinfo (4.30 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: open_fds (2.83 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-25 18:09 UTC, jason.monroe
no flags Details

Description jason.monroe 2018-05-25 18:09:12 UTC
Description of problem:
Surprise crash, I have not experienced it before or since.

Version-Release number of selected component:
2:freerdp-2.0.0-41.20180405gita9ecd6a.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        xfreerdp /sound /u:admin /f /compression /clipboard /v:clh-5232
crash_function: rdpsnd_pulse_open
executable:     /usr/bin/xfreerdp
journald_cursor: s=5085e28b78794472a25831619a7e44f9;i=caf3f;b=ac14ae98eadc43b4a4a3a5cc6e7dffb3;m=180fb5bd31;t=56d0b755c378e;x=46c95a2b8d92a7ae
kernel:         4.16.9-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Potential duplicate: bug 1568547

Comment 1 jason.monroe 2018-05-25 18:09:18 UTC
Created attachment 1441677 [details]
File: backtrace

Comment 2 jason.monroe 2018-05-25 18:09:19 UTC
Created attachment 1441678 [details]
File: cgroup

Comment 3 jason.monroe 2018-05-25 18:09:20 UTC
Created attachment 1441679 [details]
File: core_backtrace

Comment 4 jason.monroe 2018-05-25 18:09:21 UTC
Created attachment 1441680 [details]
File: cpuinfo

Comment 5 jason.monroe 2018-05-25 18:09:22 UTC
Created attachment 1441681 [details]
File: dso_list

Comment 6 jason.monroe 2018-05-25 18:09:23 UTC
Created attachment 1441682 [details]
File: environ

Comment 7 jason.monroe 2018-05-25 18:09:24 UTC
Created attachment 1441683 [details]
File: limits

Comment 8 jason.monroe 2018-05-25 18:09:25 UTC
Created attachment 1441684 [details]
File: maps

Comment 9 jason.monroe 2018-05-25 18:09:26 UTC
Created attachment 1441685 [details]
File: mountinfo

Comment 10 jason.monroe 2018-05-25 18:09:26 UTC
Created attachment 1441686 [details]
File: open_fds

Comment 11 jason.monroe 2018-05-25 18:09:27 UTC
Created attachment 1441687 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2018-08-20 14:40:12 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 13 Fedora Update System 2018-08-20 14:41:19 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 14 Fedora Update System 2018-08-22 00:33:08 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 15 Fedora Update System 2018-08-22 03:12:38 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 16 Fedora Update System 2018-08-23 09:45:25 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-08-23 10:33:16 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.